<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/white">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#E6E6E6">

        <RelativeLayout
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_gravity="top"
            android:background="@android:color/white"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:baselineAligned="false"
                android:gravity="center"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:orientation="horizontal">

                    <ImageButton
                        android:id="@+id/backButton"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="8dp"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:padding="4dp"
                        android:scaleType="fitCenter"
                        android:src="@drawable/back_icon" />

                    <TextView
                        android:id="@+id/productName"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:ellipsize="marquee"
                        android:gravity="center|end"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:singleLine="true"
                        android:textAllCaps="true"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <ImageButton
                        android:id="@+id/productImage"
                        android:layout_width="45dp"
                        android:layout_height="45dp"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:padding="2dp"
                        android:scaleType="fitCenter" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/headerOne"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/productNameOne"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:ellipsize="marquee"
                        android:gravity="center|end"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:singleLine="true"
                        android:textAllCaps="true"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <ImageButton
                        android:id="@+id/productImageOne"
                        android:layout_width="45dp"
                        android:layout_height="45dp"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:padding="2dp"
                        android:scaleType="fitCenter" />

                    <ImageButton
                        android:id="@+id/closeButtonOne"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_gravity="center"
                        android:layout_marginEnd="4dp"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@android:drawable/ic_menu_close_clear_cancel" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/headerTwo"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/productNameTwo"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:ellipsize="marquee"
                        android:gravity="center|end"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:singleLine="true"
                        android:textAllCaps="true"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <ImageButton
                        android:id="@+id/productImageTwo"
                        android:layout_width="45dp"
                        android:layout_height="45dp"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:padding="2dp"
                        android:scaleType="fitCenter" />

                    <ImageButton
                        android:id="@+id/closeButtonTwo"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_gravity="center"
                        android:layout_marginEnd="4dp"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@android:drawable/ic_menu_close_clear_cancel" />
                </LinearLayout>


            </LinearLayout>
        </RelativeLayout>

        <ExpandableListView
            android:id="@+id/comparisionList"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="45dp"
            android:divider="@android:color/transparent"
            android:dividerHeight="0dp"
            android:groupIndicator="@null" />

        <LinearLayout
            android:id="@+id/dragAndDropView"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_gravity="center"
            android:background="@drawable/border_spinner"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="@dimen/textSize">

            <ImageView
                android:layout_width="@dimen/_30sdp"
                android:layout_height="@dimen/_30sdp"
                android:contentDescription="@string/app_name"
                android:scaleType="centerCrop"
                android:src="@drawable/drop" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/textSizeToSmall"
                android:gravity="center_horizontal"
                android:text="@string/comp_drag_drop"
                android:textColor="#000000"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|bottom"
            android:layout_marginStart="50dp"
            android:layout_marginBottom="8dp"
            android:background="@android:color/transparent"
            android:gravity="end"
            android:minHeight="80dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/expand_button"
                android:layout_width="35dp"
                android:layout_height="70dp"
                android:layout_gravity="center"
                android:contentDescription="@string/app_name"
                android:scaleType="fitEnd"
                android:src="@drawable/rightcompare" />

            <net.cachapa.expandablelayout.ExpandableLayout
                android:id="@+id/expandable_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@android:color/white"
                android:orientation="horizontal"
                app:el_duration="1000"
                app:el_expanded="true">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/leftArrow"
                        android:layout_width="40dp"
                        android:layout_height="match_parent"
                        android:background="#10000000"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@mipmap/left_arrow"
                        android:visibility="visible" />

                    <HorizontalScrollView
                        android:id="@+id/scrollView"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:focusableInTouchMode="true"
                        android:scrollbars="none">

                        <LinearLayout
                            android:id="@+id/itemLayout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|start"
                            android:orientation="horizontal" />

                    </HorizontalScrollView>

                    <ImageView
                        android:id="@+id/rightArrow"
                        android:layout_width="40dp"
                        android:layout_height="match_parent"
                        android:background="#10000000"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@mipmap/right_arrow_new"
                        android:visibility="visible" />
                </LinearLayout>


            </net.cachapa.expandablelayout.ExpandableLayout>


        </LinearLayout>
    </FrameLayout>

    <ProgressBar
        android:id="@+id/progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_centerHorizontal="true" />

    <ImageView
        android:id="@+id/noDataFound"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:contentDescription="@string/app_name"
        android:visibility="gone" />
</RelativeLayout>